<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Section Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1Section.html">Section</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1Section-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Section Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::Section:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Section__inherit__graph.png" border="0" usemap="#Catch_1_1Section_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1Section_inherit__map" id="Catch_1_1Section_inherit__map">
<area shape="rect" title=" " alt="" coords="25,80,140,107"/>
<area shape="rect" href="classCatch_1_1NonCopyable.html" title=" " alt="" coords="5,5,160,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::Section:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1Section__coll__graph.png" border="0" usemap="#Catch_1_1Section_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Section_coll__map" id="Catch_1_1Section_coll__map">
<area shape="rect" title=" " alt="" coords="304,184,419,211"/>
<area shape="rect" href="classCatch_1_1NonCopyable.html" title=" " alt="" coords="5,95,160,121"/>
<area shape="rect" href="structCatch_1_1SectionInfo.html" title=" " alt="" coords="185,95,325,121"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="173,5,336,32"/>
<area shape="rect" href="classCatch_1_1Timer.html" title=" " alt="" coords="349,95,454,121"/>
<area shape="rect" href="structCatch_1_1Counts.html" title=" " alt="" coords="477,95,589,121"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a68fd4e51e8981aaa7ddb00d8a6abd099"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a68fd4e51e8981aaa7ddb00d8a6abd099">Section</a> (<a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;info)</td></tr>
<tr class="separator:a68fd4e51e8981aaa7ddb00d8a6abd099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1422edd68a77aa578b5cc6b8b69f86f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#aa1422edd68a77aa578b5cc6b8b69f86f">~Section</a> ()</td></tr>
<tr class="separator:aa1422edd68a77aa578b5cc6b8b69f86f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0632b804dcea1417a2970620a9742eb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a0632b804dcea1417a2970620a9742eb3">operator bool</a> () const</td></tr>
<tr class="separator:a0632b804dcea1417a2970620a9742eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68fd4e51e8981aaa7ddb00d8a6abd099"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a68fd4e51e8981aaa7ddb00d8a6abd099">Section</a> (<a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;info)</td></tr>
<tr class="separator:a68fd4e51e8981aaa7ddb00d8a6abd099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1422edd68a77aa578b5cc6b8b69f86f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#aa1422edd68a77aa578b5cc6b8b69f86f">~Section</a> ()</td></tr>
<tr class="separator:aa1422edd68a77aa578b5cc6b8b69f86f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0632b804dcea1417a2970620a9742eb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a0632b804dcea1417a2970620a9742eb3">operator bool</a> () const</td></tr>
<tr class="separator:a0632b804dcea1417a2970620a9742eb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a22f54832b33b341ae5a78807a6219af6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a22f54832b33b341ae5a78807a6219af6">m_info</a></td></tr>
<tr class="separator:a22f54832b33b341ae5a78807a6219af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29a372077fda582bbd79fb192067f277"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a29a372077fda582bbd79fb192067f277">m_name</a></td></tr>
<tr class="separator:a29a372077fda582bbd79fb192067f277"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0a2acc394d4bd1bc7a51a1445d25034"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#ae0a2acc394d4bd1bc7a51a1445d25034">m_assertions</a></td></tr>
<tr class="separator:ae0a2acc394d4bd1bc7a51a1445d25034"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a038bb0d5d2718df6e3ae1ece4b3d695d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a038bb0d5d2718df6e3ae1ece4b3d695d">m_sectionIncluded</a></td></tr>
<tr class="separator:a038bb0d5d2718df6e3ae1ece4b3d695d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1548993afa64305a1b093391c6884b7e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1Timer.html">Timer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1Section.html#a1548993afa64305a1b093391c6884b7e">m_timer</a></td></tr>
<tr class="separator:a1548993afa64305a1b093391c6884b7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1NonCopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1NonCopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classCatch_1_1NonCopyable.html">Catch::NonCopyable</a></td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a68fd4e51e8981aaa7ddb00d8a6abd099"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68fd4e51e8981aaa7ddb00d8a6abd099">&#9670;&nbsp;</a></span>Section() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Section::Section </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa1422edd68a77aa578b5cc6b8b69f86f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1422edd68a77aa578b5cc6b8b69f86f">&#9670;&nbsp;</a></span>~Section() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Section::~Section </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a68fd4e51e8981aaa7ddb00d8a6abd099"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68fd4e51e8981aaa7ddb00d8a6abd099">&#9670;&nbsp;</a></span>Section() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Section::Section </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa1422edd68a77aa578b5cc6b8b69f86f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1422edd68a77aa578b5cc6b8b69f86f">&#9670;&nbsp;</a></span>~Section() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Section::~Section </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0632b804dcea1417a2970620a9742eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0632b804dcea1417a2970620a9742eb3">&#9670;&nbsp;</a></span>operator bool() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Section::operator bool </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0632b804dcea1417a2970620a9742eb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0632b804dcea1417a2970620a9742eb3">&#9670;&nbsp;</a></span>operator bool() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Section::operator bool </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae0a2acc394d4bd1bc7a51a1445d25034"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0a2acc394d4bd1bc7a51a1445d25034">&#9670;&nbsp;</a></span>m_assertions</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a> Catch::Section::m_assertions</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a22f54832b33b341ae5a78807a6219af6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22f54832b33b341ae5a78807a6219af6">&#9670;&nbsp;</a></span>m_info</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> Catch::Section::m_info</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29a372077fda582bbd79fb192067f277"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29a372077fda582bbd79fb192067f277">&#9670;&nbsp;</a></span>m_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Catch::Section::m_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a038bb0d5d2718df6e3ae1ece4b3d695d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a038bb0d5d2718df6e3ae1ece4b3d695d">&#9670;&nbsp;</a></span>m_sectionIncluded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::Section::m_sectionIncluded</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1548993afa64305a1b093391c6884b7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1548993afa64305a1b093391c6884b7e">&#9670;&nbsp;</a></span>m_timer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1Timer.html">Timer</a> Catch::Section::m_timer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
